Commit Diff


commit - 70eb1ee57da9cd0d09d94c05e52308ec2e5ba45b
commit + b03fcaab5aaa07d943561dca6948358f9dc51d4c
blob - e7285bf70981c928bb4f9fb1ef50b3a91d430526
blob + 333cf61caa3e60b3d6579433c66c9a41525f3073
--- contrib/README
+++ contrib/README
@@ -2,7 +2,7 @@
                      ngIRCd - Next Generation IRC Server
                            http://ngircd.barton.de/
 
-               (c)2001-2013 Alexander Barton and Contributors.
+               (c)2001-2019 Alexander Barton and Contributors.
                ngIRCd is free software and published under the
                    terms of the GNU General Public License.
 
@@ -18,7 +18,7 @@ MacOSX/
  - Project files for XCode, the "project builder" of Apple Mac OS X.
 	- de.barton.ngircd.plist[.tmpl]: launchd(8) property list.
 
-ngindent
+ngindent.sh
  - Script to indent the code of ngIRCd in the "standard way".
 
 ngircd-bsd.sh
blob - 69636a4b8cfa14161321a91b5efab92bb9382f70 (mode 755)
blob + /dev/null
--- contrib/ngindent
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-
-INDENTARGS="-kr -i8 -ts8 -l80 -c3 -cd41 -ss -ncs -psl"
-
-# check if indent(1) is available
-command -v indent >/dev/null 2>&1 && INDENT="indent"
-command -v gindent >/dev/null 2>&1 && INDENT="gindent"
-command -v gnuindent >/dev/null 2>&1 && INDENT="gnuindent"
-
-if [ -z "$INDENT" ]; then
-	echo "Error: GNU \"indent\" not found!"
-	exit 1
-fi
-
-$INDENT -v $INDENTARGS "$@"
-
-# -eof-
blob - /dev/null
blob + 57cbf81e1834fa1d6813e4bcedfee7fd3f4df5b2 (mode 755)
--- /dev/null
+++ contrib/ngindent.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# ngIRCd -- The Next Generation IRC Daemon
+# Copyright (c)2001-2019 Alexander Barton (alex@barton.de) and Contributors
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# Please read the file COPYING, README and AUTHORS for more information.
+#
+# This script uses GNU indent(1) to format C source code files of ngIRCd.
+# Usage:
+#  - ./contrib/ngindent.sh [<file> [<file> [...]]]
+#  - cat ./src/ngircd/<c_file> | ./contrib/ngindent.sh
+
+# Use a coding-style based on "Kernighan & Ritchie" (-kr):
+INDENTARGS="-kr
+	-bad
+	-c3
+	-cd41
+	-i8
+	-l80
+	-ncs
+	-psl
+	-sob
+	-ss
+	-ts8
+	-blf
+	-il0
+"
+
+# check if indent(1) is available
+command -v indent >/dev/null 2>&1 && INDENT="indent"
+command -v gindent >/dev/null 2>&1 && INDENT="gindent"
+command -v gnuindent >/dev/null 2>&1 && INDENT="gnuindent"
+
+if [ -z "$INDENT" ]; then
+	echo "Error: GNU \"indent\" not found!"
+	exit 1
+fi
+
+# shellcheck disable=SC2086
+$INDENT -v $INDENTARGS "$@"
+
+# -eof-